
exports.up = function(knex) {
  return knex.schema
    .createTable('users', async function (table) {
      table.increments('id');
      table.string('email');
      table.string('pwd');
      table.datetime('regdate').defaultTo(knex.fn.now());
      table.string('regcode');
      table.boolean('validated');
      table.string('firstName');
      table.string('lastName');
    })

};

exports.down = function(knex) {
  return knex.schema
    .dropTable('users')
};
